> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paysway.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk enrich payment details

> Enriches multiple payment instructions in a single request. Each item follows the same schema as POST /payments/enrichments. Results are returned in the same order as the input. The maximum number of items per request is 20.




## OpenAPI

````yaml /api-reference/paysway-api.yaml post /payments/bulk-enrichments
openapi: 3.1.0
info:
  title: PaySway API
  version: 1.2.0
servers:
  - url: https://api.paysway.dev
    description: Development environment
  - url: https://api.paysway.io
    description: Production environment
security: []
paths:
  /payments/bulk-enrichments:
    post:
      tags:
        - Payment Preparation
      summary: Bulk enrich payment details
      description: >
        Enriches multiple payment instructions in a single request. Each item
        follows the same schema as POST /payments/enrichments. Results are
        returned in the same order as the input. The maximum number of items per
        request is 20.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkEnrichmentsRequest'
      responses:
        '200':
          description: Bulk enrichments result returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkEnrichmentsResult'
      security:
        - oauth2ClientCredentials: []
components:
  schemas:
    BulkEnrichmentsRequest:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Payment'
          maxItems: 20
      required:
        - items
    BulkEnrichmentsResult:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/EnrichmentsResult'
      required:
        - items
    Payment:
      type: object
      properties:
        country:
          $ref: '#/components/schemas/CountryCode'
        currency:
          $ref: '#/components/schemas/CurrencyCode'
        creditorAgent:
          $ref: '#/components/schemas/FinancialInstitution'
        creditorAccount:
          $ref: '#/components/schemas/Account'
        creditor:
          $ref: '#/components/schemas/Party'
        intermediaryAgent1:
          $ref: '#/components/schemas/FinancialInstitution'
        intermediaryAgent2:
          $ref: '#/components/schemas/FinancialInstitution'
        intermediaryAgent3:
          $ref: '#/components/schemas/FinancialInstitution'
        settlementInformation:
          $ref: '#/components/schemas/SettlementInformation'
    EnrichmentsResult:
      type: object
      properties:
        enrichments:
          $ref: '#/components/schemas/Enrichments'
      required:
        - enrichments
    CountryCode:
      description: ISO 3166-1 alpha-2 code
      type: string
      pattern: ^[A-Z]{2,2}$
    CurrencyCode:
      description: ISO 4217 alpha code
      type: string
      pattern: ^[A-Z]{3,3}$
    FinancialInstitution:
      type: object
      properties:
        bic:
          $ref: '#/components/schemas/BIC'
        clearingSystemMemberId:
          $ref: '#/components/schemas/ClearingSystemMemberId'
        branchId:
          type: string
    Account:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AccountId'
        type:
          $ref: '#/components/schemas/AccountType'
      required:
        - id
    Party:
      type: object
      properties:
        name:
          type: string
        address:
          $ref: '#/components/schemas/Address'
        contactDetails:
          $ref: '#/components/schemas/ContactDetails'
        dateOfBirth:
          type: string
          format: date
        taxId:
          type: string
        documents:
          type: array
          items:
            $ref: '#/components/schemas/IdentificationDocument'
        type:
          $ref: '#/components/schemas/PartyType'
    SettlementInformation:
      type: object
      properties:
        settlementSystem:
          $ref: '#/components/schemas/SettlementSystem'
    Enrichments:
      type: object
      properties:
        creditorAgent:
          $ref: '#/components/schemas/EnrichedCreditorAgent'
        creditorAccount:
          $ref: '#/components/schemas/EnrichedCreditorAccount'
        intermediaryAgent1:
          $ref: '#/components/schemas/EnrichedIntermediaryAgent'
        intermediaryAgent2:
          $ref: '#/components/schemas/EnrichedIntermediaryAgent'
        intermediaryAgent3:
          $ref: '#/components/schemas/EnrichedIntermediaryAgent'
        settlementInformation:
          $ref: '#/components/schemas/EnrichedSettlementInformation'
    BIC:
      type: string
    ClearingSystemMemberId:
      type: object
      properties:
        memberId:
          type: string
    AccountId:
      type: object
      properties:
        value:
          type: string
        type:
          $ref: '#/components/schemas/AccountIdType'
      required:
        - value
        - type
    AccountType:
      type: string
    Address:
      type: object
      properties:
        addressLine1:
          type: string
        addressLine2:
          type: string
        addressLine3:
          type: string
        department:
          type: string
        streetName:
          type: string
        buildingNumber:
          type: string
        buildingName:
          type: string
        floor:
          type: string
        room:
          type: string
        townName:
          type: string
        townLocationName:
          type: string
        districtName:
          type: string
        postBox:
          type: string
        postCode:
          type: string
        countrySubdivision:
          type: string
        country:
          $ref: '#/components/schemas/CountryCode'
      required:
        - country
    ContactDetails:
      type: object
      properties:
        email:
          type: string
        phone:
          type: string
    IdentificationDocument:
      type: object
      properties:
        value:
          type: string
        type:
          $ref: '#/components/schemas/IdDocumentType'
      required:
        - type
        - value
    PartyType:
      type: string
      enum:
        - INDIVIDUAL
        - BUSINESS
    SettlementSystem:
      description: Encoded cash settlement system
      type: string
      enum:
        - SCT
        - SCT_INST
        - SDD_CORE
        - SDD_B2B
        - US_FEDWIRE
        - US_FEDACH
        - GB_FPS
        - GB_CHAPS
        - GB_CCCC
        - GB_BACS_CR
        - GB_BACS_DR
        - CA_ACSS
        - CA_LYNX
        - AU_PCS
        - AU_RITS
        - AU_BECS
        - AU_HVCS
    EnrichedCreditorAgent:
      type: object
      properties:
        bic:
          $ref: '#/components/schemas/BIC'
        clearingSystemMemberId:
          $ref: '#/components/schemas/ClearingSystemMemberId'
        name:
          type: string
        address:
          $ref: '#/components/schemas/Address'
        logo:
          type: string
          format: uri
      required:
        - name
        - address
    EnrichedCreditorAccount:
      type: object
      properties:
        ids:
          type: array
          items:
            $ref: '#/components/schemas/AccountId'
      required:
        - ids
    EnrichedIntermediaryAgent:
      type: object
      properties:
        bic:
          $ref: '#/components/schemas/BIC'
      required:
        - bic
    EnrichedSettlementInformation:
      type: object
      properties:
        settlementSystems:
          type: array
          items:
            $ref: '#/components/schemas/SettlementSystem'
    AccountIdType:
      type: string
      enum:
        - IBAN
        - ACCOUNT_NUMBER
        - EMAIL
        - MSISDN
        - CARD_NUMBER
        - GENERIC
    IdDocumentType:
      type: string
  securitySchemes:
    oauth2ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth2/token
          scopes: {}

````